> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedream 5.0 Lite Image Generation

> - Seedream 5.0 Lite (doubao-seedream-5.0-lite) model supports text-to-image, image-to-image, image editing and other generation modes
- Asynchronous processing mode, use the returned task ID to [query](/en/api-manual/task-management/get-task-detail)
- Generated image links are valid for 24 hours, please save them promptly



## OpenAPI

````yaml /en/api-manual/image-series/seedream/seedream-5.0-lite-image-generate.json POST /v1/images/generations
openapi: 3.1.0
info:
  title: doubao-seedream-5.0-lite Interface
  description: >-
    Create image tasks using AI models, supporting multiple models and parameter
    configurations
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: Production environment
security:
  - bearerAuth: []
tags:
  - name: Image Generation
    description: AI image generation related APIs
paths:
  /v1/images/generations:
    post:
      tags:
        - Image Generation
      summary: doubao-seedream-5.0-lite Interface
      description: >-
        - Seedream 5.0 Lite (doubao-seedream-5.0-lite) model supports
        text-to-image, image-to-image, image editing and other generation modes

        - Asynchronous processing mode, use the returned task ID to
        [query](/en/api-manual/task-management/get-task-detail)

        - Generated image links are valid for 24 hours, please save them
        promptly
      operationId: createImageGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            examples:
              web_search:
                summary: Web Search Image Generation
                value:
                  model: doubao-seedream-5.0-lite
                  prompt: >-
                    Generate an illustration of the latest fashion trends from
                    Paris Fashion Week 2025
                  size: '3:4'
                  quality: 2K
                  model_params:
                    tools:
                      - type: web_search
              text_to_image:
                summary: Text to Image
                value:
                  model: doubao-seedream-5.0-lite
                  prompt: A serene lake reflecting the beautiful sunset
                  size: '16:9'
                  quality: 2K
      responses:
        '200':
          description: Image generation task created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: Unauthenticated, invalid or expired token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: Insufficient quota, recharge required
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: >-
                    Token does not have access to model:
                    doubao-seedream-5.0-lite
                  type: invalid_request_error
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: Image generation model name
          enum:
            - doubao-seedream-5.0-lite
          default: doubao-seedream-5.0-lite
          example: doubao-seedream-5.0-lite
        prompt:
          type: string
          description: >-
            Prompt describing the image you want to generate, or describing how
            to edit the input image, limited to 2000 tokens
          example: A serene lake reflecting the beautiful sunset
          maxLength: 2000
        'n':
          type: integer
          description: >-
            Maximum number of images to generate, supports any integer value
            between `[1,15]`


            **Note:**

            - To generate multiple images, include prompts like: "generate 2
            different images" in your prompt


            - Reference image count + final generated image count ≤ 15 images


            - If: reference image count + images requested in prompt > 15, and
            images requested in prompt ≤ parameter n value, then final generated
            images = 15 - reference image count

            - Each request will pre-charge based on the value of `n`, actual
            charges based on the number of images generated
          example: 1
        size:
          type: string
          description: >-
            Size of generated image, supports two formats:


            **Method 1 - Ratio format:**

            - `auto`, `1:1`, `2:3`, `3:2`, `3:4`, `4:3`, `4:5`, `5:4`, `9:16`,
            `16:9`, `21:9`

            - Works with `quality` parameter to automatically generate images at
            the specified ratio and resolution, no need to specify exact pixels


            **Method 2 - Pixel format:**

            - Width x Height, e.g.: `2560x1440`, `2048x2048`, `3072x3072` and
            other values within range

            - Default: `2048x2048`

            - Total pixel range: `[2560x1440, 3072x3072]`

            - Aspect ratio range: `[1/16, 16]`
          example: '16:9'
        quality:
          type: string
          description: >-
            Resolution tier, used in combination with ratio format of `size`


            **Options:**

            - `2K`: 2K resolution

            - `3K`: 3K resolution


            Works with ratio format of `size` to automatically generate images
            at the corresponding resolution
          enum:
            - 2K
            - 3K
          example: 2K
        prompt_priority:
          type: string
          description: >-
            Prompt optimization strategy, used to set the mode for prompt
            optimization


            **Options:**

            - `standard`: Standard mode, higher quality output, longer
            processing time
          enum:
            - standard
          default: standard
          example: standard
        image_urls:
          type: array
          description: >-
            Reference image URL list for image-to-image and image editing
            features


            **Note:**

            - Single request supports input image quantity: `14` images

            - Image size: no more than `10MB`

            - Supported image formats: `.jpeg`, `.jpg`, `.png`, `.webp`, `.bmp`,
            `.tiff`, `.gif`

            - Aspect ratio (width/height) range: `[1/16, 16]`

            - Width and height (px) > 14

            - Total pixels: no more than `6000×6000`

            - Image URLs must be directly viewable by the server, or the image
            URL should trigger direct download when accessed (typically these
            URLs end with image file extensions, such as `.png`, `.jpg`)
          items:
            type: string
            format: uri
          maxItems: 14
          example:
            - https://example.com/image1.png
            - https://example.com/image2.png
        model_params:
          type: object
          description: |-
            **Supported parameters:**
            - `output_format`: Output image format
            - `tools`: Web search tool
          properties:
            output_format:
              type: string
              description: |-
                Output image format

                **Options:**
                - `png`: PNG format
                - `jpeg`: JPEG format
              enum:
                - png
                - jpeg
              example: jpeg
            tools:
              type: array
              description: >-
                Web search tool. When enabled, the model will automatically
                decide whether to search based on the prompt. Search will incur
                additional charges


                **Format:**

                - `[{"type": "web_search"}]`
              items:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - web_search
                    description: Tool type
                required:
                  - type
              example:
                - type: web_search
        callback_url:
          type: string
          description: >-
            HTTPS callback address after task completion


            **Callback Timing:**

            - Triggered when task is completed, failed, or cancelled

            - Sent after billing confirmation is completed


            **Security Restrictions:**

            - Only HTTPS protocol is supported

            - Callback to internal IP addresses is prohibited (127.0.0.1,
            10.x.x.x, 172.16-31.x.x, 192.168.x.x, etc.)

            - URL length must not exceed `2048` characters


            **Callback Mechanism:**

            - Timeout: `10` seconds

            - Maximum `3` retries on failure (retries after `1` second/`2`
            seconds/`4` seconds)

            - Callback response body format is consistent with the task query
            API response format

            - Callback address returning 2xx status code is considered
            successful, other status codes will trigger retry
          format: uri
          example: https://your-domain.com/webhooks/image-task-completed
    ImageGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-seedream5lite
        model:
          type: string
          description: Actual model name used
          example: doubao-seedream-5.0-lite
        object:
          type: string
          enum:
            - image.generation.task
          description: Specific task type
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/TaskInfo'
          description: Async task information
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: Task output type
          example: image
        usage:
          $ref: '#/components/schemas/Usage'
          description: Usage and billing information
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: Error code identifier
            message:
              type: string
              description: Error description
            type:
              type: string
              description: Error type
    TaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: Whether the task can be cancelled
          example: true
        estimated_time:
          type: integer
          description: Estimated completion time (seconds)
          minimum: 0
          example: 45
    Usage:
      type: object
      description: Usage and billing information
      properties:
        billing_rule:
          type: string
          description: Billing rule
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: Estimated credits consumed
          minimum: 0
          example: 1.8
        user_group:
          type: string
          description: User group category
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        ##All APIs require Bearer Token authentication##


        **Get API Key:**


        Visit [API Key Management Page](https://evolink.ai/dashboard/keys) to
        get your API Key


        **Add to request header:**

        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````